> For the complete documentation index, see [llms.txt](https://docs.proudnet.com/proudnet.eng/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.proudnet.com/proudnet.eng/proudnet-note.md).

# ProudNet Note

- [Technical Notes](https://docs.proudnet.com/proudnet.eng/proudnet-note/notes.md)
- [Main Loop](https://docs.proudnet.com/proudnet.eng/proudnet-note/notes/main_loop.md)
- [Setting up a server firewall](https://docs.proudnet.com/proudnet.eng/proudnet-note/notes/setting_firewall.md)
- [Encryption and decryption](https://docs.proudnet.com/proudnet.eng/proudnet-note/notes/encryption_decoding.md)
- [What to do in case of an error](https://docs.proudnet.com/proudnet.eng/proudnet-note/notes/how_to_solve_problems.md)
- [List of error messages](https://docs.proudnet.com/proudnet.eng/proudnet-note/notes/error_message_list.md)
- [Synchronizing Character Position](https://docs.proudnet.com/proudnet.eng/proudnet-note/notes/character_sync.md)
- [Client-Server Communication](https://docs.proudnet.com/proudnet.eng/proudnet-note/notes/client_server_communication.md)
- [MiniDump (Error Dump System)](https://docs.proudnet.com/proudnet.eng/proudnet-note/notes/minidump.md)
- [\[Version 1.6\] Server-to-Server LAN Communicator](https://docs.proudnet.com/proudnet.eng/proudnet-note/notes/communcation_lan.md)
- [Glossary](https://docs.proudnet.com/proudnet.eng/proudnet-note/dictionary.md)
- [Sample examples](https://docs.proudnet.com/proudnet.eng/proudnet-note/sample.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.proudnet.com/proudnet.eng/proudnet-note.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
